package com.alterdekim.flash.decompiler.item.internal;

import com.alterdekim.flash.decompiler.item.ActionPushType;
import com.alterdekim.flash.decompiler.item.ByteCodeItem;
import lombok.AllArgsConstructor;
import lombok.ToString;

@ToString
@AllArgsConstructor
public class GetVariableItem extends ByteCodeItem {
    private String name;


    @Override
    public ActionPushType getType() {
        return ActionPushType.GET_VARIABLE;
    }

    @Override
    public Object getValue() {
        return this.name;
    }
}
